package vip.xiaonuo.money.service;

import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.money.entity.MoneyIncome;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.money.entity.vo.MoneyIncomeVo;
import vip.xiaonuo.money.param.MoneyIncomeAddParam;
import vip.xiaonuo.money.param.MoneyIncomeParam;

import java.util.List;

/**
 * <p>
 * 财务收入达成 服务类
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
public interface IMoneyIncomeService extends IService<MoneyIncome> {

    //总览
    MoneyIncomeVo getMoneyIncome(MoneyIncomeParam incomeParam);

    //图表
    List<MoneyIncome> MoneyIncomeList(MoneyIncomeParam incomeParam);

    //新增年度收入
    CommonResult add(MoneyIncomeAddParam addParam);


}
