package vip.xiaonuo.money.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.money.entity.MoneyOverdue;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.money.entity.vo.MoneyBorrowUserVo;
import vip.xiaonuo.money.param.MoneyOverduePageParam;
import vip.xiaonuo.money.param.MoneyOverdueParam;

import java.util.List;

/**
 * <p>
 * 财务应收逾期表 服务类
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
public interface IMoneyOverdueService extends IService<MoneyOverdue> {

    //逾期一个月以上总金额
    JSONObject getOverdueCount(MoneyOverdueParam overdueParam);

    //逾期占比
    JSONObject overdueRank(MoneyOverdueParam overdueParam);

    //客户应收/逾期分析
    JSONArray userRank(MoneyOverdueParam overdueParam);

    //逾期明细表
    Page<MoneyOverdue> overdueDetail(MoneyOverduePageParam overduePageParam);


}
